Index: /branches/dev_005_AWL/NEMO/TOP_SRC/C14b/trcrst_c14b.F90
===================================================================
--- /branches/dev_005_AWL/NEMO/TOP_SRC/C14b/trcrst_c14b.F90	(revision 1804)
+++ /branches/dev_005_AWL/NEMO/TOP_SRC/C14b/trcrst_c14b.F90	(revision 1804)
@@ -0,0 +1,91 @@
+MODULE trcrst_c14b
+   !!======================================================================
+   !!                       ***  MODULE trcrst_c14b  ***
+   !! TOP :   create, write, read the restart files of c14b tracer
+   !!======================================================================
+   !! History :   1.0  !  2010-01 (C. Ethe) Original
+   !!----------------------------------------------------------------------
+#if defined key_c14b
+   !!----------------------------------------------------------------------
+   !!   'key_c14b'                                               c14b tracers
+   !!----------------------------------------------------------------------
+   !!   trc_rst_read_c14b   : read  restart file
+   !!   trc_rst_wri_c14b    : write restart file
+   !!----------------------------------------------------------------------
+   USE oce_trc         ! Ocean variables
+   USE par_trc         ! TOP parameters
+   USE trc             ! TOP variables
+   USE trcsms_c14b          ! c14b sms trends
+   USE in_out_manager  ! I/O manager
+   USE iom
+
+   IMPLICIT NONE
+   PRIVATE
+
+   PUBLIC  trc_rst_read_c14b   ! called by trcini.F90 module
+   PUBLIC  trc_rst_wri_c14b   ! called by trcini.F90 module
+
+CONTAINS
+   
+   SUBROUTINE trc_rst_read_c14b( knum ) 
+      !!----------------------------------------------------------------------
+      !!                     ***  trc_rst_read_c14b  ***  
+      !!
+      !! ** Purpose : Read in restart file specific variables from c14b model
+      !!
+      !!----------------------------------------------------------------------
+      INTEGER, INTENT(in)  :: knum  ! unit of the restart file
+      INTEGER              :: jn    ! dummy loop indices
+      !!----------------------------------------------------------------------
+
+      IF(lwp) WRITE(numout,*)
+      IF(lwp) WRITE(numout,*) ' trc_rst_read_c14b : Read specific variables from c14b model '
+      IF(lwp) WRITE(numout,*) ' ~~~~~~~~~~~~~~'
+      
+      DO jn = jp_c14b0, jp_c14b1
+         CALL iom_get( knum, jpdom_autoglo, 'qint_'//ctrcnm(jn), qint_c14(:,:,jn) ) 
+      END DO
+
+   END SUBROUTINE trc_rst_read_c14b
+
+   SUBROUTINE trc_rst_wri_c14b( kt, kitrst, knum )
+      !!----------------------------------------------------------------------
+      !!                     ***  trc_rst_read_c14b  ***
+      !!
+      !! ** Purpose : Read in restart file specific variables from c14b model
+      !!
+      !!----------------------------------------------------------------------
+      INTEGER, INTENT(in)  :: kt      ! time step
+      INTEGER, INTENT(in)  :: kitrst  ! time step of restart write
+      INTEGER, INTENT(in)  :: knum    ! unit of the restart file
+      INTEGER              :: jn      ! dummy loop indices
+      !!----------------------------------------------------------------------
+
+      IF(lwp) WRITE(numout,*)
+      IF(lwp) WRITE(numout,*) ' trc_rst_wri_c14b : Write specific variables from c14b model '
+      IF(lwp) WRITE(numout,*) ' ~~~~~~~~~~~~~~'
+
+      DO jn = jp_c14b0, jp_c14b1
+         CALL iom_rstput( kt, kitrst, kum, 'qint_'//ctrcnm(jn), qint_c14(:,:,jn) )
+      END DO
+
+   END SUBROUTINE trc_rst_wri_c14b
+
+#else
+   !!----------------------------------------------------------------------
+   !!  Dummy module :                                     No passive tracer
+   !!----------------------------------------------------------------------
+CONTAINS
+   SUBROUTINE trc_rst_read_c14b( knum )
+     INTEGER, INTENT(in)  :: knum
+     WRITE(*,*) 'trc_rst_wri_c14b: You should not have seen this print! error?', knum
+   END SUBROUTINE trc_rst_read_c14b
+
+   SUBROUTINE trc_rst_wri_c14b( kt, kitrst, knum )
+     INTEGER, INTENT(in)  :: kt, kitrst, knum
+     WRITE(*,*) 'trc_rst_wri_c14b: You should not have seen this print! error?', kt, kitrst, knum
+   END SUBROUTINE trc_rst_wri_c14b
+#endif
+
+   !!======================================================================
+END MODULE trcrst_c14b
Index: /branches/dev_005_AWL/NEMO/TOP_SRC/CFC/trcctl_cfc.F90
===================================================================
--- /branches/dev_005_AWL/NEMO/TOP_SRC/CFC/trcctl_cfc.F90	(revision 1803)
+++ /branches/dev_005_AWL/NEMO/TOP_SRC/CFC/trcctl_cfc.F90	(revision 1804)
@@ -44,6 +44,5 @@
       IF( jp_cfc > 2) THEN 
           IF(lwp) THEN 
-              WRITE (numout,*) ' ===>>>> : w a r n i n g '
-              WRITE (numout,*) ' =======   ============= '
+              WRITE (numout,*) ' ===>>>> : w a r n i n g <<<<==='
               WRITE (numout,*)                             &
               &   ' STOP, change jp_cfc to 1 or 2 in par_CFC module '  
@@ -62,6 +61,5 @@
 
       IF(lwp) THEN
-         WRITE (numout,*) ' ===>>>> : w a r n i n g '
-         WRITE (numout,*) ' =======   ============= '
+         WRITE (numout,*) ' ===>>>> : w a r n i n g <<<<==='
          WRITE (numout,*) ' we force tracer names'
          DO jl = 1, jp_cfc
@@ -80,6 +78,5 @@
             ctrcun(jn) = 'mole/m3'
             IF(lwp) THEN
-               WRITE (numout,*) ' ===>>>> : w a r n i n g '
-               WRITE (numout,*) ' =======   ============= '
+               WRITE (numout,*) ' ===>>>> : w a r n i n g <<<<==='
                WRITE (numout,*) ' we force tracer unit'
                WRITE(numout,*) ' tracer  ',ctrcnm(jn), 'UNIT= ',ctrcun(jn)
Index: /branches/dev_005_AWL/NEMO/TOP_SRC/CFC/trclsm_cfc.F90
===================================================================
--- /branches/dev_005_AWL/NEMO/TOP_SRC/CFC/trclsm_cfc.F90	(revision 1803)
+++ /branches/dev_005_AWL/NEMO/TOP_SRC/CFC/trclsm_cfc.F90	(revision 1804)
@@ -43,5 +43,5 @@
       !!----------------------------------------------------------------------
       INTEGER ::   numnatc
-#if defined key_trc_diaadd
+#if defined key_trc_diaadd && ! defined key_iomput
       ! definition of additional diagnostic as a structure
       INTEGER :: jl, jn
@@ -56,5 +56,5 @@
       !!
       NAMELIST/namcfcdate/ ndate_beg, nyear_res
-#if defined key_trc_diaadd
+#if defined key_trc_diaadd && ! defined key_iomput
       NAMELIST/namcfcdia/nwritedia, cfcdia2d     ! additional diagnostics
 #endif
@@ -79,5 +79,5 @@
       IF(lwp) WRITE(numout,*) '    initial year (aa)                       nyear_beg = ', nyear_beg
       !
-#if defined key_trc_diaadd
+#if defined key_trc_diaadd && ! defined key_iomput
 
       ! Namelist namcfcdia
Index: /branches/dev_005_AWL/NEMO/TOP_SRC/CFC/trcrst_cfc.F90
===================================================================
--- /branches/dev_005_AWL/NEMO/TOP_SRC/CFC/trcrst_cfc.F90	(revision 1804)
+++ /branches/dev_005_AWL/NEMO/TOP_SRC/CFC/trcrst_cfc.F90	(revision 1804)
@@ -0,0 +1,91 @@
+MODULE trcrst_cfc
+   !!======================================================================
+   !!                       ***  MODULE trcrst_cfc  ***
+   !! TOP :   create, write, read the restart files of CFC tracer
+   !!======================================================================
+   !! History :   1.0  !  2010-01 (C. Ethe) Original
+   !!----------------------------------------------------------------------
+#if defined key_cfc
+   !!----------------------------------------------------------------------
+   !!   'key_cfc'                                               CFC tracers
+   !!----------------------------------------------------------------------
+   !!   trc_rst_read_cfc   : read  restart file
+   !!   trc_rst_wri_cfc    : write restart file
+   !!----------------------------------------------------------------------
+   USE oce_trc         ! Ocean variables
+   USE par_trc         ! TOP parameters
+   USE trc             ! TOP variables
+   USE trcsms_cfc          ! CFC sms trends
+   USE in_out_manager  ! I/O manager
+   USE iom
+
+   IMPLICIT NONE
+   PRIVATE
+
+   PUBLIC  trc_rst_read_cfc   ! called by trcini.F90 module
+   PUBLIC  trc_rst_wri_cfc   ! called by trcini.F90 module
+
+CONTAINS
+   
+   SUBROUTINE trc_rst_read_cfc( knum ) 
+      !!----------------------------------------------------------------------
+      !!                     ***  trc_rst_read_cfc  ***  
+      !!
+      !! ** Purpose : Read in restart file specific variables from CFC model
+      !!
+      !!----------------------------------------------------------------------
+      INTEGER, INTENT(in)  :: knum  ! unit of the restart file
+      INTEGER              :: jn    ! dummy loop indices
+      !!----------------------------------------------------------------------
+
+      IF(lwp) WRITE(numout,*)
+      IF(lwp) WRITE(numout,*) ' trc_rst_read_cfc : Read specific variables from CFC model '
+      IF(lwp) WRITE(numout,*) ' ~~~~~~~~~~~~~~'
+      
+      DO jn = jp_cfc0, jp_cfc1
+         CALL iom_get( knum, jpdom_autoglo, 'qint_'//ctrcnm(jn), qint_cfc(:,:,jn) ) 
+      END DO
+
+   END SUBROUTINE trc_rst_read_cfc
+
+   SUBROUTINE trc_rst_wri_cfc( kt, kitrst, knum )
+      !!----------------------------------------------------------------------
+      !!                     ***  trc_rst_read_cfc  ***
+      !!
+      !! ** Purpose : Read in restart file specific variables from CFC model
+      !!
+      !!----------------------------------------------------------------------
+      INTEGER, INTENT(in)  :: kt      ! time step
+      INTEGER, INTENT(in)  :: kitrst  ! time step of restart write
+      INTEGER, INTENT(in)  :: knum    ! unit of the restart file
+      INTEGER              :: jn      ! dummy loop indices
+      !!----------------------------------------------------------------------
+
+      IF(lwp) WRITE(numout,*)
+      IF(lwp) WRITE(numout,*) ' trc_rst_wri_cfc : Write specific variables from CFC model '
+      IF(lwp) WRITE(numout,*) ' ~~~~~~~~~~~~~~'
+
+      DO jn = jp_cfc0, jp_cfc1
+         CALL iom_rstput( kt, kitrst, knum, 'qint_'//ctrcnm(jn), qint_cfc(:,:,jn) )
+      END DO
+
+   END SUBROUTINE trc_rst_wri_cfc
+
+#else
+   !!----------------------------------------------------------------------
+   !!  Dummy module :                                     No passive tracer
+   !!----------------------------------------------------------------------
+CONTAINS
+   SUBROUTINE trc_rst_read_cfc( knum )
+     INTEGER, INTENT(in)  :: knum
+     WRITE(*,*) 'trc_rst_wri_cfc: You should not have seen this print! error?', knum
+   END SUBROUTINE trc_rst_read_cfc
+
+   SUBROUTINE trc_rst_wri_cfc( kt, kitrst, knum )
+     INTEGER, INTENT(in)  :: kt, kitrst, knum
+     WRITE(*,*) 'trc_rst_wri_cfc: You should not have seen this print! error?', kt, kitrst, knum
+   END SUBROUTINE trc_rst_wri_cfc
+#endif
+
+   !!======================================================================
+END MODULE trcrst_cfc
Index: /branches/dev_005_AWL/NEMO/TOP_SRC/LOBSTER/trcbio.F90
===================================================================
--- /branches/dev_005_AWL/NEMO/TOP_SRC/LOBSTER/trcbio.F90	(revision 1803)
+++ /branches/dev_005_AWL/NEMO/TOP_SRC/LOBSTER/trcbio.F90	(revision 1804)
@@ -482,4 +482,6 @@
       ENDIF
 
+      IF( l_trdtrc ) DEALLOCATE( ztrbio )
+
       IF(ln_ctl)   THEN  ! print mean trends (used for debugging)
          WRITE(charout, FMT="('bio')")
Index: /branches/dev_005_AWL/NEMO/TOP_SRC/LOBSTER/trcexp.F90
===================================================================
--- /branches/dev_005_AWL/NEMO/TOP_SRC/LOBSTER/trcexp.F90	(revision 1803)
+++ /branches/dev_005_AWL/NEMO/TOP_SRC/LOBSTER/trcexp.F90	(revision 1804)
@@ -164,4 +164,6 @@
       ENDIF
 
+      IF( l_trdtrc ) DEALLOCATE( ztrbio )
+
       IF(ln_ctl)   THEN  ! print mean trends (used for debugging)
          WRITE(charout, FMT="('exp')")
Index: /branches/dev_005_AWL/NEMO/TOP_SRC/LOBSTER/trcini_lobster.F90
===================================================================
--- /branches/dev_005_AWL/NEMO/TOP_SRC/LOBSTER/trcini_lobster.F90	(revision 1803)
+++ /branches/dev_005_AWL/NEMO/TOP_SRC/LOBSTER/trcini_lobster.F90	(revision 1804)
@@ -26,5 +26,4 @@
    PUBLIC   trc_ini_lobster   ! called by trcini.F90 module
 
-#  include "domzgr_substitute.h90"
 #  include "top_substitute.h90"
    !!----------------------------------------------------------------------
Index: /branches/dev_005_AWL/NEMO/TOP_SRC/LOBSTER/trcopt.F90
===================================================================
--- /branches/dev_005_AWL/NEMO/TOP_SRC/LOBSTER/trcopt.F90	(revision 1803)
+++ /branches/dev_005_AWL/NEMO/TOP_SRC/LOBSTER/trcopt.F90	(revision 1804)
@@ -28,5 +28,5 @@
 
    !!* Substitution
-#  include "domzgr_substitute.h90"
+#  include "top_substitute.h90"
    !!----------------------------------------------------------------------
    !! NEMO/TOP 2.0 , LOCEAN-IPSL (2007) 
Index: /branches/dev_005_AWL/NEMO/TOP_SRC/LOBSTER/trcrst_lobster.F90
===================================================================
--- /branches/dev_005_AWL/NEMO/TOP_SRC/LOBSTER/trcrst_lobster.F90	(revision 1804)
+++ /branches/dev_005_AWL/NEMO/TOP_SRC/LOBSTER/trcrst_lobster.F90	(revision 1804)
@@ -0,0 +1,88 @@
+MODULE trcrst_lobster
+   !!======================================================================
+   !!                       ***  MODULE trcrst_lobster  ***
+   !! TOP :   create, write, read the restart files of LOBSTER tracer
+   !!======================================================================
+   !! History :   1.0  !  2010-01 (C. Ethe) Original
+   !!----------------------------------------------------------------------
+#if defined key_lobster
+   !!----------------------------------------------------------------------
+   !!   'key_lobster'                                               lobster tracers
+   !!----------------------------------------------------------------------
+   !!   trc_rst_read_lobster   : read  restart file
+   !!   trc_rst_wri_lobster    : write restart file
+   !!----------------------------------------------------------------------
+   USE oce_trc         ! Ocean variables
+   USE par_trc         ! TOP parameters
+   USE trc             ! TOP variables
+   USE trcsms_lobster          ! lobster sms trends
+   USE sms_lobster          ! lobster sms trends
+   USE in_out_manager  ! I/O manager
+   USE iom
+
+   IMPLICIT NONE
+   PRIVATE
+
+   PUBLIC  trc_rst_read_lobster   ! called by trcini.F90 module
+   PUBLIC  trc_rst_wri_lobster   ! called by trcini.F90 module
+
+CONTAINS
+   
+   SUBROUTINE trc_rst_read_lobster( knum ) 
+      !!----------------------------------------------------------------------
+      !!                     ***  trc_rst_read_lobster  ***  
+      !!
+      !! ** Purpose : Read in restart file specific variables from lobster model
+      !!
+      !!----------------------------------------------------------------------
+      INTEGER, INTENT(in)  :: knum  ! unit of the restart file
+      !!----------------------------------------------------------------------
+
+      IF(lwp) WRITE(numout,*)
+      IF(lwp) WRITE(numout,*) ' trc_rst_read_lobster : Read specific variables from lobster model '
+      IF(lwp) WRITE(numout,*) ' ~~~~~~~~~~~~~~'
+
+      CALL iom_get( knum, jpdom_autoglo, 'SEDB'//ctrcnm(jpdet), sedpocb(:,:) ) 
+      CALL iom_get( knum, jpdom_autoglo, 'SEDN'//ctrcnm(jpdet), sedpocn(:,:) ) 
+
+   END SUBROUTINE trc_rst_read_lobster
+
+   SUBROUTINE trc_rst_wri_lobster( kt, kitrst, knum )
+      !!----------------------------------------------------------------------
+      !!                     ***  trc_rst_read_lobster  ***
+      !!
+      !! ** Purpose : Read in restart file specific variables from lobster model
+      !!
+      !!----------------------------------------------------------------------
+      INTEGER, INTENT(in)  :: kt      ! time step
+      INTEGER, INTENT(in)  :: kitrst  ! time step of restart write
+      INTEGER, INTENT(in)  :: knum    ! unit of the restart file
+      !!----------------------------------------------------------------------
+
+      IF(lwp) WRITE(numout,*)
+      IF(lwp) WRITE(numout,*) ' trc_rst_wri_lobster : Write specific variables from lobster model '
+      IF(lwp) WRITE(numout,*) ' ~~~~~~~~~~~~~~'
+
+      CALL iom_rstput( kt, kitrst, knum, 'SEDB'//ctrcnm(jpdet), sedpocb(:,:) )
+      CALL iom_rstput( kt, kitrst, knum, 'SEDN'//ctrcnm(jpdet), sedpocn(:,:) )
+
+   END SUBROUTINE trc_rst_wri_lobster
+
+#else
+   !!----------------------------------------------------------------------
+   !!  Dummy module :                                     No passive tracer
+   !!----------------------------------------------------------------------
+CONTAINS
+   SUBROUTINE trc_rst_read_lobster( knum )
+     INTEGER, INTENT(in)  :: knum
+     WRITE(*,*) 'trc_rst_wri_lobster: You should not have seen this print! error?',knum
+   END SUBROUTINE trc_rst_read_lobster
+
+   SUBROUTINE trc_rst_wri_lobster( kt, kitrst, knum )
+     INTEGER, INTENT(in)  :: kt, kitrst, knum
+     WRITE(*,*) 'trc_rst_wri_lobster: You should not have seen this print! error?', kt, kitrst, knum
+   END SUBROUTINE trc_rst_wri_lobster
+#endif
+
+   !!======================================================================
+END MODULE trcrst_lobster
Index: /branches/dev_005_AWL/NEMO/TOP_SRC/LOBSTER/trcsed.F90
===================================================================
--- /branches/dev_005_AWL/NEMO/TOP_SRC/LOBSTER/trcsed.F90	(revision 1803)
+++ /branches/dev_005_AWL/NEMO/TOP_SRC/LOBSTER/trcsed.F90	(revision 1804)
@@ -29,5 +29,5 @@
 
    !!* Substitution
-#  include "domzgr_substitute.h90"
+#  include "top_substitute.h90"
    !!----------------------------------------------------------------------
    !! NEMO/TOP 2.0 , LOCEAN-IPSL (2007) 
@@ -136,4 +136,6 @@
       ENDIF
 
+      IF( l_trdtrc ) DEALLOCATE( ztrbio )
+
       IF(ln_ctl)   THEN  ! print mean trends (used for debugging)
          WRITE(charout, FMT="('sed')")
Index: /branches/dev_005_AWL/NEMO/TOP_SRC/MY_TRC/trcrst_my_trc.F90
===================================================================
--- /branches/dev_005_AWL/NEMO/TOP_SRC/MY_TRC/trcrst_my_trc.F90	(revision 1804)
+++ /branches/dev_005_AWL/NEMO/TOP_SRC/MY_TRC/trcrst_my_trc.F90	(revision 1804)
@@ -0,0 +1,51 @@
+MODULE trcrst_my_trc
+   !!======================================================================
+   !!                       ***  MODULE trcrst_my_trc  ***
+   !! TOP :   create, write, read the restart files of MY_TRC tracer
+   !!======================================================================
+   !! History :   1.0  !  2010-01 (C. Ethe)  Original
+   !!----------------------------------------------------------------------
+#if defined key_my_trc
+   !!----------------------------------------------------------------------
+   !!   'key_my_trc'                                               CFC tracers
+   !!----------------------------------------------------------------------
+   !!   trc_rst_read_my_trc   : read  restart file
+   !!   trc_rst_wri_my_trc    : write restart file
+   !!----------------------------------------------------------------------
+
+   IMPLICIT NONE
+   PRIVATE
+
+   PUBLIC  trc_rst_read_my_trc   ! called by trcini.F90 module
+   PUBLIC  trc_rst_wri_my_trc   ! called by trcini.F90 module
+
+CONTAINS
+   
+   SUBROUTINE trc_rst_read_my_trc( knum ) 
+     INTEGER, INTENT(in)  :: knum
+     WRITE(*,*) 'trc_rst_read_my_trc: No specific variables to read on unit', knum
+   END SUBROUTINE trc_rst_read_my_trc
+
+   SUBROUTINE trc_rst_wri_my_trc( kt, kirst, knum )
+     INTEGER, INTENT(in)  :: kt, kirst, knum
+     WRITE(*,*) 'trc_rst_wri_my_trc: No specific variables to write on unit' ,knum, ' at time ', kt, kirst
+   END SUBROUTINE trc_rst_wri_my_trc
+
+#else
+   !!----------------------------------------------------------------------
+   !!  Dummy module :                                     No passive tracer
+   !!----------------------------------------------------------------------
+CONTAINS
+   SUBROUTINE trc_rst_read_my_trc( knum )
+     INTEGER, INTENT(in)  :: knum
+     WRITE(*,*) 'trc_rst_read_my_trc: You should not have seen this print! error?', knum
+   END SUBROUTINE trc_rst_read_my_trc
+
+   SUBROUTINE trc_rst_wri_my_trc( kt, kirst, knum )
+     INTEGER, INTENT(in)  :: kt, kirst, knum
+     WRITE(*,*) 'trc_rst_wri_my_trc: You should not have seen this print! error?', kt, kirst, knum
+   END SUBROUTINE trc_rst_wri_my_trc
+#endif
+
+   !!======================================================================
+END MODULE trcrst_my_trc
Index: /branches/dev_005_AWL/NEMO/TOP_SRC/PISCES/p4zbio.F90
===================================================================
--- /branches/dev_005_AWL/NEMO/TOP_SRC/PISCES/p4zbio.F90	(revision 1803)
+++ /branches/dev_005_AWL/NEMO/TOP_SRC/PISCES/p4zbio.F90	(revision 1804)
@@ -39,5 +39,5 @@
 
    !!* Substitution
-#  include "domzgr_substitute.h90"
+#  include "top_substitute.h90"
    !!----------------------------------------------------------------------
    !! NEMO/TOP 2.0 , LOCEAN-IPSL (2007) 
Index: /branches/dev_005_AWL/NEMO/TOP_SRC/PISCES/p4zche.F90
===================================================================
--- /branches/dev_005_AWL/NEMO/TOP_SRC/PISCES/p4zche.F90	(revision 1803)
+++ /branches/dev_005_AWL/NEMO/TOP_SRC/PISCES/p4zche.F90	(revision 1804)
@@ -147,5 +147,5 @@
 
    !!* Substitution
-#include "domzgr_substitute.h90"
+#include "top_substitute.h90"
    !!----------------------------------------------------------------------
    !! NEMO/TOP 2.0 , LOCEAN-IPSL (2007) 
Index: /branches/dev_005_AWL/NEMO/TOP_SRC/PISCES/p4zflx.F90
===================================================================
--- /branches/dev_005_AWL/NEMO/TOP_SRC/PISCES/p4zflx.F90	(revision 1803)
+++ /branches/dev_005_AWL/NEMO/TOP_SRC/PISCES/p4zflx.F90	(revision 1804)
@@ -52,5 +52,5 @@
 
    !!* Substitution
-#  include "domzgr_substitute.h90"
+#  include "top_substitute.h90"
    !!----------------------------------------------------------------------
    !! NEMO/TOP 2.0 , LOCEAN-IPSL (2007) 
Index: /branches/dev_005_AWL/NEMO/TOP_SRC/PISCES/p4zlim.F90
===================================================================
--- /branches/dev_005_AWL/NEMO/TOP_SRC/PISCES/p4zlim.F90	(revision 1803)
+++ /branches/dev_005_AWL/NEMO/TOP_SRC/PISCES/p4zlim.F90	(revision 1804)
@@ -41,5 +41,5 @@
 
    !!* Substitution
-#  include "domzgr_substitute.h90"
+#  include "top_substitute.h90"
    !!----------------------------------------------------------------------
    !! NEMO/TOP 2.0 , LOCEAN-IPSL (2007) 
Index: /branches/dev_005_AWL/NEMO/TOP_SRC/PISCES/p4zmeso.F90
===================================================================
--- /branches/dev_005_AWL/NEMO/TOP_SRC/PISCES/p4zmeso.F90	(revision 1803)
+++ /branches/dev_005_AWL/NEMO/TOP_SRC/PISCES/p4zmeso.F90	(revision 1804)
@@ -45,5 +45,5 @@
 
    !!* Substitution
-#  include "domzgr_substitute.h90"
+#  include "top_substitute.h90"
    !!----------------------------------------------------------------------
    !! NEMO/TOP 2.0 , LOCEAN-IPSL (2007) 
Index: /branches/dev_005_AWL/NEMO/TOP_SRC/PISCES/p4zmicro.F90
===================================================================
--- /branches/dev_005_AWL/NEMO/TOP_SRC/PISCES/p4zmicro.F90	(revision 1803)
+++ /branches/dev_005_AWL/NEMO/TOP_SRC/PISCES/p4zmicro.F90	(revision 1804)
@@ -43,5 +43,5 @@
 
    !!* Substitution
-#  include "domzgr_substitute.h90"
+#  include "top_substitute.h90"
    !!----------------------------------------------------------------------
    !! NEMO/TOP 2.0 , LOCEAN-IPSL (2007) 
Index: /branches/dev_005_AWL/NEMO/TOP_SRC/PISCES/p4zmort.F90
===================================================================
--- /branches/dev_005_AWL/NEMO/TOP_SRC/PISCES/p4zmort.F90	(revision 1803)
+++ /branches/dev_005_AWL/NEMO/TOP_SRC/PISCES/p4zmort.F90	(revision 1804)
@@ -41,5 +41,5 @@
 
    !!* Substitution
-#  include "domzgr_substitute.h90"
+#  include "top_substitute.h90"
    !!----------------------------------------------------------------------
    !! NEMO/TOP 2.0 , LOCEAN-IPSL (2007) 
Index: /branches/dev_005_AWL/NEMO/TOP_SRC/PISCES/p4zopt.F90
===================================================================
--- /branches/dev_005_AWL/NEMO/TOP_SRC/PISCES/p4zopt.F90	(revision 1803)
+++ /branches/dev_005_AWL/NEMO/TOP_SRC/PISCES/p4zopt.F90	(revision 1804)
@@ -35,5 +35,5 @@
    
    !!* Substitution
-#  include "domzgr_substitute.h90"
+#  include "top_substitute.h90"
    !!----------------------------------------------------------------------
    !! NEMO/TOP 2.0 , LOCEAN-IPSL (2007) 
Index: /branches/dev_005_AWL/NEMO/TOP_SRC/PISCES/p4zprod.F90
===================================================================
--- /branches/dev_005_AWL/NEMO/TOP_SRC/PISCES/p4zprod.F90	(revision 1803)
+++ /branches/dev_005_AWL/NEMO/TOP_SRC/PISCES/p4zprod.F90	(revision 1804)
@@ -53,5 +53,5 @@
 
    !!* Substitution
-#  include "domzgr_substitute.h90"
+#  include "top_substitute.h90"
    !!----------------------------------------------------------------------
    !! NEMO/TOP 2.0 , LOCEAN-IPSL (2007) 
Index: /branches/dev_005_AWL/NEMO/TOP_SRC/PISCES/p4zrem.F90
===================================================================
--- /branches/dev_005_AWL/NEMO/TOP_SRC/PISCES/p4zrem.F90	(revision 1803)
+++ /branches/dev_005_AWL/NEMO/TOP_SRC/PISCES/p4zrem.F90	(revision 1804)
@@ -45,5 +45,5 @@
 
    !!* Substitution
-#  include "domzgr_substitute.h90"
+#  include "top_substitute.h90"
    !!----------------------------------------------------------------------
    !! NEMO/TOP 2.0 , LOCEAN-IPSL (2007) 
Index: /branches/dev_005_AWL/NEMO/TOP_SRC/PISCES/p4zsink.F90
===================================================================
--- /branches/dev_005_AWL/NEMO/TOP_SRC/PISCES/p4zsink.F90	(revision 1803)
+++ /branches/dev_005_AWL/NEMO/TOP_SRC/PISCES/p4zsink.F90	(revision 1804)
@@ -69,5 +69,5 @@
 
    !!* Substitution
-#  include "domzgr_substitute.h90"
+#  include "top_substitute.h90"
    !!----------------------------------------------------------------------
    !! NEMO/TOP 2.0 , LOCEAN-IPSL (2007) 
Index: /branches/dev_005_AWL/NEMO/TOP_SRC/PISCES/sms_pisces.F90
===================================================================
--- /branches/dev_005_AWL/NEMO/TOP_SRC/PISCES/sms_pisces.F90	(revision 1803)
+++ /branches/dev_005_AWL/NEMO/TOP_SRC/PISCES/sms_pisces.F90	(revision 1804)
@@ -38,4 +38,6 @@
    LOGICAL  ::   ln_pisdmp         !: relaxation or not of nutrients to a mean value
                                    !: when initialize from a restart file 
+   LOGICAL  ::   ln_pisclo         !: Restoring or not of nutrients to initial value
+                                   !: on close seas
 
    !!*  Biological fluxes for light
Index: /branches/dev_005_AWL/NEMO/TOP_SRC/PISCES/trcini_pisces.F90
===================================================================
--- /branches/dev_005_AWL/NEMO/TOP_SRC/PISCES/trcini_pisces.F90	(revision 1803)
+++ /branches/dev_005_AWL/NEMO/TOP_SRC/PISCES/trcini_pisces.F90	(revision 1804)
@@ -38,5 +38,4 @@
       no3    =  31.04e-6 * 7.6
 
-#  include "domzgr_substitute.h90"
 #  include "top_substitute.h90"
    !!----------------------------------------------------------------------
Index: /branches/dev_005_AWL/NEMO/TOP_SRC/PISCES/trclsm_pisces.F90
===================================================================
--- /branches/dev_005_AWL/NEMO/TOP_SRC/PISCES/trclsm_pisces.F90	(revision 1803)
+++ /branches/dev_005_AWL/NEMO/TOP_SRC/PISCES/trclsm_pisces.F90	(revision 1804)
@@ -67,5 +67,5 @@
       NAMELIST/nampisdia/ nwritedia, pisdia3d, pisdia2d     ! additional diagnostics
 #endif
-      NAMELIST/nampisdmp/ ln_pisdmp
+      NAMELIST/nampisdmp/ ln_pisdmp, ln_pisclo
 
       !!----------------------------------------------------------------------
@@ -188,5 +188,6 @@
          WRITE(numout,*)
          WRITE(numout,*) ' Namelist : nampisdmp'
-         WRITE(numout,*) '    Relaxation of tracer to glodap mean value    ln_pisdmp      =', ln_pisdmp
+         WRITE(numout,*) '    Relaxation of tracer to glodap mean value            ln_pisdmp      =', ln_pisdmp
+         WRITE(numout,*) '    Restoring of tracer to initial value  on closed seas  ln_pisclo      =', ln_pisclo
          WRITE(numout,*) ' '
       ENDIF
